summaryrefslogtreecommitdiff
path: root/misc/build-native.sh
diff options
context:
space:
mode:
Diffstat (limited to 'misc/build-native.sh')
-rwxr-xr-xmisc/build-native.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/misc/build-native.sh b/misc/build-native.sh
new file mode 100755
index 00000000..72ecd1cb
--- /dev/null
+++ b/misc/build-native.sh
@@ -0,0 +1,21 @@
+ndk-build APP_API=all -j 8
+if [ $? = 0 ]; then
+ rm -rf build/native-libs/
+
+ cd libs
+ mkdir -p ../assets
+ for i in *
+ do
+ cp -v $i/minivpn ../assets/minivpn.$i
+ done
+ # Removed compiled openssl libs, will use platform so libs
+ # Reduces size of apk
+ rm -v */libcrypto.so */libssl.so
+
+ for arch in *
+ do
+ builddir=../build/native-libs/$arch
+ mkdir -p $builddir
+ cp -v $arch/*.so $builddir
+ done
+fi